package com.liferay.portlet.journal.model.impl;

import com.liferay.portal.model.impl.BaseModelImpl;
import com.liferay.util.GetterUtil;
import com.liferay.util.XSSUtil;

import java.sql.Types;
import java.io.Serializable;


public class JournalArticleExternalDataModelImpl extends BaseModelImpl {
    public static String TABLE_NAME = "JournalArticleExternalData";
    public static Object[][] TABLE_COLUMNS = {
            {"id_", new Integer(Types.BIGINT)},
            {"groupId", new Integer(Types.BIGINT)},
            {"articleId", new Integer(Types.VARCHAR)},
            {"structureGroupId", new Integer(Types.BIGINT)}
    };

    public static String TABLE_SQL_CREATE =
            "create table " + TABLE_NAME + " (" +
                    "id_ LONG not null primary key," +
                    "groupId LONG," +
                    "articleId VARCHAR(75) null," +
                    "structureGroupId LONG," +
                    ")";
    public static String TABLE_SQL_DROP = "drop table " + TABLE_NAME;


    public JournalArticleExternalDataModelImpl() {
    }

    public long getPrimaryKey() {
        return _id;
    }

    public void setPrimaryKey(long pk) {
        setId(pk);
    }

    public long getId() {
        return _id;
    }

    public void setId(long id) {
        if (id != _id) {
            _id = id;
        }
    }

    public long getGroupId() {
        return _groupId;
    }

    public void setGroupId(long groupId) {
        if (groupId != _groupId) {
            _groupId = groupId;
        }
    }


    public String getArticleId() {
        return GetterUtil.getString(_articleId);
    }

    public void setArticleId(String articleId) {
        if (((articleId == null) && (_articleId != null)) ||
                ((articleId != null) && (_articleId == null)) ||
                ((articleId != null) && (_articleId != null) &&
                        !articleId.equals(_articleId))) {
            if (!JournalArticleImpl.XSS_ALLOW_ARTICLEID) {
                articleId = XSSUtil.strip(articleId);
            }

            _articleId = articleId;
        }
    }


    public long getStructureGroupId() {
        return _structureGroupId;
    }

    public void setStructureGroupId(long groupId) {
        if (groupId != _structureGroupId) {
            _structureGroupId = groupId;
        }
    }


    public Serializable getPrimaryKeyObj() {
		return new Long(getPrimaryKey());
    }

public Object clone() {
        JournalArticleExternalDataImpl clone = new JournalArticleExternalDataImpl();
        clone.setId(getId());
        clone.setGroupId(getGroupId());
        clone.setArticleId(getArticleId());
        clone.setStructureGroupId(getStructureGroupId());

        return clone;
    }

    public int compareTo(Object obj) {
        if (obj == null) {
            return -1;
        }

        JournalArticleExternalDataImpl journalArticleExternalData = (JournalArticleExternalDataImpl)obj;
        int value = 0;
        value = getArticleId().compareTo(journalArticleExternalData.getArticleId());

        if (value != 0) {
            return value;
        }

        return 0;
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }

        JournalArticleImpl journalArticle = null;

        try {
            journalArticle = (JournalArticleImpl) obj;
        }
        catch (ClassCastException cce) {
            return false;
        }

        long pk = journalArticle.getPrimaryKey();

        return getPrimaryKey() == pk;
    }

    public int hashCode() {
        return (int) getPrimaryKey();
    }

    private long _id;
    private long _groupId;
    private String _articleId;
    private long _structureGroupId;
}
