package com.liferay.portlet.journal.model.impl;

import com.liferay.portal.model.impl.BaseModelImpl;

import java.sql.Types;
import java.io.Serializable;

public class JournalArticleLinkModelImpl extends BaseModelImpl {
    public static String TABLE_NAME = "JournalArticleLinks";
    public static Object[][] TABLE_COLUMNS = {
            {"id_", new Integer(Types.BIGINT)},
            {"companyId", new Integer(Types.BIGINT)},
            {"userId", new Integer(Types.BIGINT)},
            {"linkType", new Integer(Types.BIGINT)},
            {"groupId", new Integer(Types.BIGINT)},
            {"targetGroupId", new Integer(Types.BIGINT)},
            {"targetId", new Integer(Types.VARCHAR)}
    };

    public static String TABLE_SQL_CREATE =
            "create table " + TABLE_NAME + " (" +
                    "id_ LONG not null primary key," +
                    "companyId LONG," +
                    "userId LONG," +
                    "linkType LONG," +
                    "groupId LONG," +
                    "targetGroupId LONG," +
                    "targetId VARCHAR(75)," +
                    ")";
    public static String TABLE_SQL_DROP = "drop table " + TABLE_NAME;


    public JournalArticleLinkModelImpl() {
    }

    public long getPrimaryKey() {
        return _id;
    }

    public void setPrimaryKey(long pk) {
        setId(pk);
    }

    public long getId() {
        return _id;
    }

    public void setId(long id) {
        if (id != _id) {
            _id = id;
        }
    }

    public long getGroupId() {
        return _groupId;
    }

    public void setGroupId(long groupId) {
        if (groupId != _groupId) {
            _groupId = groupId;
        }
    }


    public Serializable getPrimaryKeyObj() {
        return new Long(getPrimaryKey());
    }

    public Object clone() {
        JournalArticleLinkModelImpl clone = new JournalArticleLinkModelImpl();
        clone.setId(getId());
        clone.setGroupId(getGroupId());

        return clone;
    }

    public int compareTo(Object obj) {
        if (obj == null) {
            return -1;
        }

        return 0;
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }

        JournalArticleLinkModelImpl journalArticle = null;

        try {
            journalArticle = (JournalArticleLinkModelImpl) obj;
        }
        catch (ClassCastException cce) {
            return false;
        }

        long pk = journalArticle.getPrimaryKey();

        if (getPrimaryKey() == pk) {
            return true;
        } else {
            return false;
        }
    }

    public int hashCode() {
        return (int) getPrimaryKey();
    }


    public String getTargetId() {
        return _targetId;
    }

    public void setTargetId(String targetId) {
        this._targetId = targetId;
    }

    public long getTargetGroupId() {
        return _targetGroupId;
    }

    public void setTargetGroupId(long targetGroupId) {

        this._targetGroupId = targetGroupId;
    }


    public long getLinkType() {
        return _linkType;
    }

    public void setLinkType(long linkType) {
        this._linkType = linkType;
    }

    private long _id;
    private long _groupId;

    private String _targetId;
    private long _targetGroupId;
    private long _linkType;
    private long _companyId;
    private long _userId;


    public long getCompanyId() {
        return _companyId;
    }

    public void setCompanyId(long companyId) {
        this._companyId = companyId;
    }

    public long getUserId() {
        return _userId;
    }

    public void setUserId(long userId) {
        _userId = userId;
    }

}
