package com.liferay.portlet.journal.model.impl;


import com.liferay.portlet.journal.model.JournalTemplate;
import com.liferay.portlet.journal.model.JournalTemplateWrapper;
import com.liferay.portlet.journal.model.JournalStructure;

import javax.portlet.PortletURL;
import javax.portlet.RenderResponse;
import javax.portlet.WindowState;
import javax.portlet.WindowStateException;
import java.util.Date;
import java.io.Serializable;

/**
 * <a href="JournalStructureImpl.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 */
public class JournalTemplateWrapperImpl implements JournalTemplateWrapper {


    JournalTemplate model;

    private boolean linked;
    private long linkId;

    public JournalTemplateWrapperImpl(JournalTemplate model, Boolean linked, long linkId) {
        this.linkId = linkId;
        this.linked = linked;
        this.model = model;
    }


    public long getPrimaryKey() {
        return model.getPrimaryKey();
    }

    public void setPrimaryKey(long pk) {
        model.setPrimaryKey(pk);
    }

    public long getId() {
        return model.getId();
    }

    public void setId(long id) {
        model.setId(id);
    }

    public long getGroupId() {
        return model.getGroupId();
    }

    public void setGroupId(long groupId) {
        model.setGroupId(groupId);
    }

    public long getCompanyId() {
        return model.getCompanyId();
    }

    public void setCompanyId(long companyId) {
        model.setCompanyId(companyId);
    }

    public long getUserId() {
        return model.getUserId();
    }

    public void setUserId(long userId) {
        model.setUserId(userId);
    }

    public String getUserName() {
        return model.getUserName();
    }

    public void setUserName(String userName) {
        model.setUserName(userName);
    }

    public Date getCreateDate() {
        return model.getCreateDate();
    }

    public void setCreateDate(Date createDate) {
        model.setCreateDate(createDate);
    }

    public Date getModifiedDate() {
        return model.getModifiedDate();
    }

    public void setModifiedDate(Date modifiedDate) {
        model.setModifiedDate(modifiedDate);
    }

    public String getTemplateId() {
        return model.getTemplateId();
    }

    public void setTemplateId(String templateId) {
        model.setTemplateId(templateId);
    }

    public String getStructureId() {
        return model.getStructureId();
    }

    public void setStructureId(String structureId) {
        model.setStructureId(structureId);
    }

    public String getName() {
        return model.getName();
    }

    public void setName(String name) {
        model.setName(name);
    }

    public String getDescription() {
        return model.getDescription();
    }

    public void setDescription(String description) {
        model.setDescription(description);
    }

    public String getXsl() {
        return model.getXsl();
    }

    public void setXsl(String xsl) {
        model.setXsl(xsl);
    }

    public String getLangType() {
        return model.getLangType();
    }

    public void setLangType(String langType) {
        model.setLangType(langType);
    }

    public boolean getSmallImage() {
        return model.getSmallImage();
    }

    public boolean isSmallImage() {
        return model.isSmallImage();
    }

    public void setSmallImage(boolean smallImage) {
        model.setSmallImage(smallImage);
    }

    public long getSmallImageId() {
        return model.getSmallImageId();
    }

    public void setSmallImageId(long smallImageId) {
        model.setSmallImageId(smallImageId);
    }

    public String getSmallImageURL() {
        return model.getSmallImageURL();
    }

    public void setSmallImageURL(String smallImageURL) {
        model.setSmallImageURL(smallImageURL);
    }

    public boolean isNew() {
        return model.isNew();
    }

    public boolean setNew(boolean n) {
        return model.setNew(n);
    }

  public Serializable getPrimaryKeyObj() {
        return model.getPrimaryKeyObj();
    }

    public Object clone() {
        JournalStructureWrapperImpl clone = null;
        try {
            clone = (JournalStructureWrapperImpl) super.clone();
        clone.setModel((JournalStructure) model.clone());
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
        }
        return clone;
    }

    public int compareTo(Object o) {
        return model.compareTo(o);
    }

    public boolean isLinked() {
        return linked;
    }

    public PortletURL getUrlForEdit(RenderResponse renderResponse, String currentURL) throws WindowStateException {
        PortletURL rowURL = renderResponse.createRenderURL();
        rowURL.setWindowState(WindowState.MAXIMIZED);
        rowURL.setParameter("redirect", currentURL);
        rowURL.setParameter("groupId", String.valueOf(getGroupId()));
        if (!isLinked()) {
            rowURL.setParameter("struts_action", "/journal/edit_template");
            rowURL.setParameter("templateId", getTemplateId());
        } else {
            rowURL.setParameter("struts_action", "/journal/edit_template_shortcut");
            rowURL.setParameter("shortcutId", String.valueOf(getLinkId()));
        }                                
        return rowURL;
    }

    public long getLinkId() {
        return linkId;
    }
}
