package com.liferay.portlet.journal.service.impl;

import com.liferay.counter.service.CounterLocalServiceUtil;
import com.liferay.portal.PortalException;
import com.liferay.portal.SystemException;
import com.liferay.portlet.journal.model.JournalArticleExternalData;
import com.liferay.portlet.journal.service.base.JournalArticleExternalDataLocalServiceBaseImpl;
import com.liferay.portlet.journal.service.persistence.JournalArticleExternalDataUtil;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * <a href="JournalArticleLocalServiceImpl.java.html"><b><i>View Source</i></b>
 * </a>
 *
 * @author Brian Wing Shun Chan
 */
public class JournalArticleExternalDataLocalServiceImpl
        extends JournalArticleExternalDataLocalServiceBaseImpl {

    public JournalArticleExternalData addArticleExternalData(
            long groupId, String articleID, long structureGroupId
    )
            throws PortalException, SystemException {

        long id = CounterLocalServiceUtil.increment();

        JournalArticleExternalData articleExternalData = JournalArticleExternalDataUtil.create(id);


        articleExternalData.setGroupId(groupId);
        articleExternalData.setArticleId(articleID);
        articleExternalData.setStructureGroupId(structureGroupId);
        articleExternalData.setPrimaryKey(id);

        return JournalArticleExternalDataUtil.update(articleExternalData);
    }


    public void deleteArticleExternalData(JournalArticleExternalData articleExternalData)
            throws PortalException, SystemException {
        JournalArticleExternalDataUtil.remove(articleExternalData.getPrimaryKey());
    }


    public JournalArticleExternalData getArticleExternalData(
            long groupId, String articleId)
            throws PortalException, SystemException {

        return JournalArticleExternalDataUtil.findByG_A(groupId, articleId);
    }


    public JournalArticleExternalData updateArticleExternalData(JournalArticleExternalData jaed) throws SystemException, PortalException {
        return JournalArticleExternalDataUtil.update(jaed);
    }


    private static Log _log =
            LogFactory.getLog(JournalArticleExternalDataLocalServiceImpl.class);

}
