package com.liferay.portlet.journal.service.impl;

import com.liferay.portal.PortalException;
import com.liferay.portal.SystemException;
import com.liferay.portal.kernel.security.permission.ActionKeys;
import com.liferay.portal.service.impl.PrincipalBean;
import com.liferay.portlet.journal.model.JournalArticleExternalData;
import com.liferay.portlet.journal.service.JournalArticleExternalDataLocalServiceUtil;
import com.liferay.portlet.journal.service.JournalArticleExternalDataService;
import com.liferay.portlet.journal.service.permission.JournalArticlePermission;

/**
 * <a href="JournalArticleServiceImpl.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 */
public class JournalArticleExternalDataServiceImpl
        extends PrincipalBean implements JournalArticleExternalDataService {

    public JournalArticleExternalData addArticleExternalData(
            String articleId,
            long plid,
            double version,
            long structureGroupId
    )
            throws PortalException, SystemException {

        return JournalArticleExternalDataLocalServiceUtil.addArticleExternalData(
                plid, articleId, structureGroupId);
    }


    public JournalArticleExternalData getArticleExternalData(
            long groupId, String articleId, long version)
            throws PortalException, SystemException {

        JournalArticlePermission.check(
                getPermissionChecker(), groupId, articleId, ActionKeys.VIEW);

        return JournalArticleExternalDataLocalServiceUtil.getArticleExternalData(
                groupId, articleId);
    }


    public void deleteArticleExternalData(long groupId,
                                          String articleId,
                                          double version)
            throws PortalException, SystemException {

        JournalArticlePermission.check(
                getPermissionChecker(), groupId, articleId, ActionKeys.DELETE);

       /* JournalArticleExternalDataLocalServiceUtil.deleteArticleExternalData(
                groupId,
                articleId,
                version
        );*/
    }


    public JournalArticleExternalData updateArticle(
            long groupId,
            String articleId,
            double version,
            long structureGroupId
    )
            throws PortalException, SystemException {

        JournalArticlePermission.check(
                getPermissionChecker(), groupId, articleId, ActionKeys.UPDATE);

        return null;//JournalArticleExternalDataLocalServiceUtil.updateArticleExternalData();
    }

}
