package com.liferay.portlet.journal.service.persistence;

import com.liferay.portal.SystemException;
import com.liferay.portlet.journal.NoSuchArticleException;
import com.liferay.portlet.journal.model.JournalArticleExternalData;

/**
 * <a href="JournalArticlePersistence.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 */
public interface JournalArticleExternalDataPersistence {
    public com.liferay.portlet.journal.model.JournalArticleExternalData create(long id);

    public com.liferay.portlet.journal.model.JournalArticleExternalData remove(long id)
            throws com.liferay.portal.SystemException,
            com.liferay.portlet.journal.NoSuchArticleException;

    public com.liferay.portlet.journal.model.JournalArticleExternalData findByPrimaryKey(
            long id)
            throws com.liferay.portal.SystemException,
            com.liferay.portlet.journal.NoSuchArticleException;

    public com.liferay.portlet.journal.model.JournalArticleExternalData fetchByPrimaryKey(
            long id) throws com.liferay.portal.SystemException;

    public void removeByArticleExternalDataId(long groupId) throws SystemException, NoSuchArticleException;

    public JournalArticleExternalData update(JournalArticleExternalData journalArticleExternalData) throws SystemException;

    public JournalArticleExternalData update(JournalArticleExternalData journalArticleExternalData, boolean saveOrUpdate) throws SystemException;

    public JournalArticleExternalData findByG_A(long groupId, String articleId)throws NoSuchArticleException, SystemException;

    public JournalArticleExternalData fetchByG_A(long groupId, String articleId) throws SystemException;
}
