package com.liferay.portlet.journal.service.persistence;

import com.liferay.portal.SystemException;
import com.liferay.portal.model.ModelListener;
import com.liferay.portal.util.PropsUtil;
import com.liferay.portlet.journal.NoSuchArticleException;
import com.liferay.portlet.journal.model.JournalArticleExternalData;
import com.liferay.util.GetterUtil;
import com.liferay.util.Validator;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * <a href="JournalArticleUtil.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 */
public class JournalArticleExternalDataUtil {
    public static com.liferay.portlet.journal.model.JournalArticleExternalData create(
            long id) {
        return getPersistence().create(id);
    }

    public static com.liferay.portlet.journal.model.JournalArticleExternalData remove(
            long id)
            throws com.liferay.portal.SystemException,
            com.liferay.portlet.journal.NoSuchArticleException {
        ModelListener listener = _getListener();

        if (listener != null) {
            listener.onBeforeRemove(findByPrimaryKey(id));
        }

        com.liferay.portlet.journal.model.JournalArticleExternalData journalArticleExternalData = getPersistence()
                .remove(id);

        if (listener != null) {
            listener.onAfterRemove(journalArticleExternalData);
        }

        return journalArticleExternalData;
    }

    public static com.liferay.portlet.journal.model.JournalArticleExternalData remove(
            com.liferay.portlet.journal.model.JournalArticleExternalData journalArticleExternalData)
            throws com.liferay.portal.SystemException {
        ModelListener listener = _getListener();

        if (listener != null) {
            listener.onBeforeRemove(journalArticleExternalData);
        }

        try {
            journalArticleExternalData = getPersistence().remove(journalArticleExternalData.getPrimaryKey());
        } catch (NoSuchArticleException e) {
            e.printStackTrace();
        }

        if (listener != null) {
            listener.onAfterRemove(journalArticleExternalData);
        }

        return journalArticleExternalData;
    }

    public static com.liferay.portlet.journal.model.JournalArticleExternalData update(
            com.liferay.portlet.journal.model.JournalArticleExternalData journalArticleExternalData)
            throws com.liferay.portal.SystemException {
        ModelListener listener = _getListener();
        boolean isNew = journalArticleExternalData.isNew();

        if (listener != null) {
            if (isNew) {
                listener.onBeforeCreate(journalArticleExternalData);
            } else {
                listener.onBeforeUpdate(journalArticleExternalData);
            }
        }

        journalArticleExternalData = getPersistence().update(journalArticleExternalData);

        if (listener != null) {
            if (isNew) {
                listener.onAfterCreate(journalArticleExternalData);
            } else {
                listener.onAfterUpdate(journalArticleExternalData);
            }
        }

        return journalArticleExternalData;
    }

    public static com.liferay.portlet.journal.model.JournalArticleExternalData update(
            com.liferay.portlet.journal.model.JournalArticleExternalData journalArticleExternalData,
            boolean saveOrUpdate) throws com.liferay.portal.SystemException {
        ModelListener listener = _getListener();
        boolean isNew = journalArticleExternalData.isNew();

        if (listener != null) {
            if (isNew) {
                listener.onBeforeCreate(journalArticleExternalData);
            } else {
                listener.onBeforeUpdate(journalArticleExternalData);
            }
        }

        journalArticleExternalData = getPersistence().update(journalArticleExternalData, saveOrUpdate);

        if (listener != null) {
            if (isNew) {
                listener.onAfterCreate(journalArticleExternalData);
            } else {
                listener.onAfterUpdate(journalArticleExternalData);
            }
        }

        return journalArticleExternalData;
    }

    public static com.liferay.portlet.journal.model.JournalArticleExternalData findByPrimaryKey(
            long id)
            throws com.liferay.portal.SystemException,
            com.liferay.portlet.journal.NoSuchArticleException {
        return getPersistence().findByPrimaryKey(id);
    }

    public static com.liferay.portlet.journal.model.JournalArticleExternalData fetchByPrimaryKey(
            long id) throws com.liferay.portal.SystemException {
        return getPersistence().fetchByPrimaryKey(id);
    }


    public static JournalArticleExternalData findByG_A(long groupId, String articleId) throws SystemException, NoSuchArticleException {
       return getPersistence().findByG_A(groupId, articleId);
    }



    public static JournalArticleExternalDataPersistence getPersistence() {
        return _getUtil()._persistence;
    }

    public void setPersistence(JournalArticleExternalDataPersistence persistence) {
        _persistence = persistence;
    }

    private static JournalArticleExternalDataUtil _getUtil() {
        if (_util == null) {
            _util = (JournalArticleExternalDataUtil) com.liferay.portal.kernel.bean.BeanLocatorUtil.locate(_UTIL);
        }

        return _util;
    }

    private static ModelListener _getListener() {
        if (Validator.isNotNull(_LISTENER)) {
            try {
                return (ModelListener) Class.forName(_LISTENER).newInstance();
            }
            catch (Exception e) {
                _log.error(e);
            }
        }

        return null;
    }

    private static final String _UTIL = JournalArticleExternalDataUtil.class.getName();
    private static final String _LISTENER = GetterUtil.getString(PropsUtil.get(
            "value.object.listener.com.liferay.portlet.journal.model.JournalArticleExternalData"));
    private static Log _log = LogFactory.getLog(JournalArticleExternalDataUtil.class);
    private static JournalArticleExternalDataUtil _util;
    private JournalArticleExternalDataPersistence _persistence;

}
