package com.liferay.portlet.journal.service.persistence;

import com.liferay.portal.SystemException;
import com.liferay.portal.kernel.util.OrderByComparator;
import com.liferay.portlet.journal.NoSuchArticleException;
import com.liferay.portlet.journal.NoSuchShortcutException;
import com.liferay.portlet.journal.model.JournalLink;
import com.liferay.portlet.journal.service.LinkType;

import java.util.List;

/**
 * <a href="JournalArticlePersistence.java.html"><b><i>View Source</i></b></a>
 *
 * @author Brian Wing Shun Chan
 */
public interface JournalLinkPersistence {
    public com.liferay.portlet.journal.model.JournalLink create(long id);

    public com.liferay.portlet.journal.model.JournalLink remove(long id) throws com.liferay.portal.SystemException, NoSuchShortcutException;

    public com.liferay.portlet.journal.model.JournalLink findByPrimaryKey(long id) throws com.liferay.portal.SystemException,  NoSuchShortcutException;

    public com.liferay.portlet.journal.model.JournalLink fetchByPrimaryKey(long id) throws com.liferay.portal.SystemException;

    public void removeByArticleLinkId(long groupId) throws SystemException, NoSuchShortcutException;

    public JournalLink update(JournalLink journalLink) throws SystemException;

    public JournalLink update(JournalLink journalLink, boolean saveOrUpdate) throws SystemException;

    List findByGroupId(LinkType linkType, long groupId) throws SystemException;

    public List findByGroupId(LinkType linkType, long groupId, int begin, int end) throws SystemException;

    public List findByGroupId(LinkType linkType, long groupId, int begin, int end, OrderByComparator obc) throws SystemException;


    List getAllLinksByTarget(LinkType linkType, long targetGroupId, String targetId) throws SystemException;

    List getAllLinksByTarget(LinkType linkType, long targetGroupId, String targetId, int begin, int end) throws SystemException;

    List getAllLinksByTarget(LinkType linkType, long targetGroupId, String targetId, int begin, int end, OrderByComparator obc) throws SystemException;

    JournalLink getLinkByTargetIdAndGroupId(String deleteStructureId, long groupId) throws SystemException;

    int countByG_T(long groupId, String targetId) throws SystemException;
}
