/**
 * Copyright (c) 2000-2007 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.liferay.portlet.journal.service;

/**
 * <a href="JournalArticleLocalService.java.html"><b><i>View Source</i></b></a>
 *
 * <p>
 * ServiceBuilder generated this class. Modifications in this class will be overwritten
 * the next time is generated.
 * </p>
 *
 * <p>
 * This interface defines the service. The default implementation is <code>com.liferay.portlet.journal.service.impl.JournalArticleLocalServiceImpl</code>.
 * Modify methods in that class and rerun ServiceBuilder to populate this class
 * and all other generated classes.
 * </p>
 *
 * <p>
 * This is a local service. Methods of this service will not have security checks
 * based on the propagated JAAS credentials because this service can only be accessed
 * from within the same VM.
 * </p>
 *
 * @author Brian Wing Shun Chan
 *
 * @see JournalArticleServiceFactory
 * @see JournalArticleServiceUtil
 *
 */
public interface JournalArticleLocalService {
	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.DynamicQueryInitializer queryInitializer)
		throws com.liferay.portal.SystemException;

	public java.util.List dynamicQuery(
		com.liferay.portal.kernel.dao.DynamicQueryInitializer queryInitializer,
		int begin, int end) throws com.liferay.portal.SystemException;

	public com.liferay.portlet.journal.model.JournalArticle addArticle(
		long userId, String articleId, boolean autoArticleId,
		long plid, String title, String description,
		String content, String type,
		long structureGroupId, String structureId, String templateId,
		int displayDateMonth, int displayDateDay, int displayDateYear,
		int displayDateHour, int displayDateMinute, int expirationDateMonth,
		int expirationDateDay, int expirationDateYear, int expirationDateHour,
		int expirationDateMinute, boolean neverExpire, int reviewDateMonth,
		int reviewDateDay, int reviewDateYear, int reviewDateHour,
		int reviewDateMinute, boolean neverReview, boolean indexable,
		java.util.Map images, String articleURL,
		javax.portlet.PortletPreferences prefs, String[] tagsEntries,
		boolean addCommunityPermissions, boolean addGuestPermissions)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticle addArticle(
		long userId, String articleId, boolean autoArticleId,
		long plid, String title, String description,
		String content, String type,
		long structureGroupId, String structureId, String templateId,
		int displayDateMonth, int displayDateDay, int displayDateYear,
		int displayDateHour, int displayDateMinute, int expirationDateMonth,
		int expirationDateDay, int expirationDateYear, int expirationDateHour,
		int expirationDateMinute, boolean neverExpire, int reviewDateMonth,
		int reviewDateDay, int reviewDateYear, int reviewDateHour,
		int reviewDateMinute, boolean neverReview, boolean indexable,
		java.util.Map images, String articleURL,
		javax.portlet.PortletPreferences prefs, String[] tagsEntries,
		String[] communityPermissions,
		String[] guestPermissions)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticle addArticle(
		long userId, String articleId, boolean autoArticleId,
		long plid, String title, String description,
		String content, String type,
		long structureGroupId,String structureId, String templateId,
		int displayDateMonth, int displayDateDay, int displayDateYear,
		int displayDateHour, int displayDateMinute, int expirationDateMonth,
		int expirationDateDay, int expirationDateYear, int expirationDateHour,
		int expirationDateMinute, boolean neverExpire, int reviewDateMonth,
		int reviewDateDay, int reviewDateYear, int reviewDateHour,
		int reviewDateMinute, boolean neverReview, boolean indexable,
		java.util.Map images, String articleURL,
		javax.portlet.PortletPreferences prefs, String[] tagsEntries,
		Boolean addCommunityPermissions,
		Boolean addGuestPermissions,
		String[] communityPermissions,
		String[] guestPermissions)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void addArticleResources(long groupId, String articleId,
		boolean addCommunityPermissions, boolean addGuestPermissions)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void addArticleResources(
		com.liferay.portlet.journal.model.JournalArticle article,
		boolean addCommunityPermissions, boolean addGuestPermissions)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void addArticleResources(long groupId, String articleId,
		String[] communityPermissions,
		String[] guestPermissions)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void addArticleResources(
		com.liferay.portlet.journal.model.JournalArticle article,
		String[] communityPermissions,
		String[] guestPermissions)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticle approveArticle(
		long userId, long groupId, String articleId, double version,
		String articleURL, javax.portlet.PortletPreferences prefs)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticle checkArticleResourcePrimKey(
		long groupId, String articleId, double version)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void checkArticles()
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void checkNewLine(long groupId, String articleId,
		double version)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void deleteArticle(long groupId, String articleId,
		double version, String articleURL,
		javax.portlet.PortletPreferences prefs)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void deleteArticle(
		com.liferay.portlet.journal.model.JournalArticle article,
		String articleURL, javax.portlet.PortletPreferences prefs)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void deleteArticles(long groupId)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void expireArticle(long groupId, String articleId,
		double version, String articleURL,
		javax.portlet.PortletPreferences prefs)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void expireArticle(
		com.liferay.portlet.journal.model.JournalArticle article,
		String articleURL, javax.portlet.PortletPreferences prefs)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticle getArticle(long id)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticle getArticle(
		long groupId, String articleId)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticle getArticle(
		long groupId, String articleId, double version)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public String getArticleContent(long groupId,long structureGroupId,
		String articleId, String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public String getArticleContent(long groupId,
		String articleId,long structureGroupId, String templateId,
		String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public String getArticleContent(long structureGroupId,long groupId,
		String articleId, double version,
		String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public String getArticleContent(long structureGroupId,long groupId,
		String articleId, double version,
		String templateId, String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticleDisplay getArticleDisplay(
		long groupId,long structureGroupId, String articleId, String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticleDisplay getArticleDisplay(
		long groupId, long structureGroupId, String articleId, String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay,
		String xmlRequest)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticleDisplay getArticleDisplay(
		long groupId, String articleId, long structureGroupId, String templateId,
		String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticleDisplay getArticleDisplay(
		long groupId, String articleId, long structureGroupId, String templateId,
		String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay,
		String xmlRequest)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticleDisplay getArticleDisplay(
		long groupId, String articleId, double version,
		long structureGroupId, String templateId, String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticleDisplay getArticleDisplay(
		long groupId, String articleId, double version,
		long structureGroupId,String templateId, String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay,
		String xmlRequest)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public java.util.List getArticles()
		throws com.liferay.portal.SystemException;

	public java.util.List getArticles(long groupId)
		throws com.liferay.portal.SystemException;

	public java.util.List getArticles(long groupId, int begin, int end)
		throws com.liferay.portal.SystemException;

	public java.util.List getArticles(long groupId, int begin, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public int getArticlesCount(long groupId)
		throws com.liferay.portal.SystemException;

	public com.liferay.portlet.journal.model.JournalArticle getDisplayArticle(
		long groupId, String articleId)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticle getLatestArticle(
		long groupId, String articleId)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticle getLatestArticle(
		long groupId, String articleId, Boolean approved)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public double getLatestVersion(long groupId, String articleId)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public double getLatestVersion(long groupId, String articleId,
		Boolean approved)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public java.util.List getStructureArticles(long groupId,
		String structureId) throws com.liferay.portal.SystemException;

	public java.util.List getStructureArticles(long groupId,
		String structureId, int begin, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public int getStructureArticlesCount(long groupId,
		String structureId) throws com.liferay.portal.SystemException;

	public java.util.List getTemplateArticles(long groupId,
		String templateId) throws com.liferay.portal.SystemException;

	public java.util.List getTemplateArticles(long groupId,
		String templateId, int begin, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public int getTemplateArticlesCount(long groupId,
		String templateId) throws com.liferay.portal.SystemException;

	public boolean hasArticle(long groupId, String articleId)
		throws com.liferay.portal.SystemException;

	public boolean isLatestVersion(long groupId, String articleId,
		double version)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public boolean isLatestVersion(long groupId, String articleId,
		double version, Boolean active)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void reIndex(String[] ids)
		throws com.liferay.portal.SystemException;

	public com.liferay.portlet.journal.model.JournalArticle removeArticleLocale(
		long groupId, String articleId, double version,
		String languageId)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portal.kernel.search.Hits search(long companyId,
		long groupId, String title, String description,
		String content, String type)
		throws com.liferay.portal.SystemException;

	public com.liferay.portal.kernel.search.Hits search(long companyId,
		long groupId, String title, String description,
		String content, String type,
		String sortField) throws com.liferay.portal.SystemException;

	public java.util.List search(long companyId, long groupId,
		String keywords, Double version,
		String type, String structureId,
		String templateId, java.util.Date displayDateGT,
		java.util.Date displayDateLT, Boolean approved,
		Boolean expired, java.util.Date reviewDate, int begin,
		int end, com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public java.util.List search(long companyId, long groupId,
		String articleId, Double version,
		String title, String description,
		String content, String type,
		String structureId, String templateId,
		java.util.Date displayDateGT, java.util.Date displayDateLT,
		Boolean approved, Boolean expired,
		java.util.Date reviewDate, boolean andOperator, int begin, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public java.util.List search(long companyId, long groupId,
		String articleId, Double version,
		String title, String description,
		String content, String type,
		String[] structureIds, String[] templateIds,
		java.util.Date displayDateGT, java.util.Date displayDateLT,
		Boolean approved, Boolean expired,
		java.util.Date reviewDate, boolean andOperator, int begin, int end,
		com.liferay.portal.kernel.util.OrderByComparator obc)
		throws com.liferay.portal.SystemException;

	public int searchCount(long companyId, long groupId,
		String keywords, Double version,
		String type, String structureId,
		String templateId, java.util.Date displayDateGT,
		java.util.Date displayDateLT, Boolean approved,
		Boolean expired, java.util.Date reviewDate)
		throws com.liferay.portal.SystemException;

	public int searchCount(long companyId, long groupId,
		String articleId, Double version,
		String title, String description,
		String content, String type,
		String structureId, String templateId,
		java.util.Date displayDateGT, java.util.Date displayDateLT,
		Boolean approved, Boolean expired,
		java.util.Date reviewDate, boolean andOperator)
		throws com.liferay.portal.SystemException;

	public int searchCount(long companyId, long groupId,
		String articleId, Double version,
		String title, String description,
		String content, String type,
		String[] structureIds, String[] templateIds,
		java.util.Date displayDateGT, java.util.Date displayDateLT,
		Boolean approved, Boolean expired,
		java.util.Date reviewDate, boolean andOperator)
		throws com.liferay.portal.SystemException;

	public com.liferay.portlet.journal.model.JournalArticle updateArticle(
		long userId, long groupId, String articleId, double version,
		boolean incrementVersion, String title,
		String description, String content,
		String type,
        long structureGroupId, String structureId,
		String templateId, int displayDateMonth, int displayDateDay,
		int displayDateYear, int displayDateHour, int displayDateMinute,
		int expirationDateMonth, int expirationDateDay, int expirationDateYear,
		int expirationDateHour, int expirationDateMinute, boolean neverExpire,
		int reviewDateMonth, int reviewDateDay, int reviewDateYear,
		int reviewDateHour, int reviewDateMinute, boolean neverReview,
		boolean indexable, java.util.Map images, String articleURL,
		javax.portlet.PortletPreferences prefs, String[] tagsEntries)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public com.liferay.portlet.journal.model.JournalArticle updateContent(
		long groupId, String articleId, double version,
		String content)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;

	public void updateTagsAsset(long userId,
		com.liferay.portlet.journal.model.JournalArticle article,
		String[] tagsEntries)
		throws com.liferay.portal.SystemException,
			com.liferay.portal.PortalException;
}