/**
 * Copyright (c) 2000-2007 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.liferay.portlet.journal.service;

/**
 * <a href="JournalArticleServiceUtil.java.html"><b><i>View Source</i></b></a>
 *
 * <p>
 * ServiceBuilder generated this class. Modifications in this class will be overwritten
 * the next time is generated.
 * </p>
 *
 * <p>
 * This class provides static methods for the <code>com.liferay.portlet.journal.service.JournalArticleService</code>
 * bean. The static methods of this class calls the same methods of the bean instance.
 * It's convenient to be able to just write one line to call a method on a bean
 * instead of writing a lookup call and a method call.
 * </p>
 *
 * <p>
 * <code>com.liferay.portlet.journal.service.JournalArticleServiceFactory</code>
 * is responsible for the lookup of the bean.
 * </p>
 *
 * @author Brian Wing Shun Chan
 *
 * @see JournalArticleService
 * @see JournalArticleServiceFactory
 *
 */
public class JournalArticleServiceUtil {
	public static com.liferay.portlet.journal.model.JournalArticle addArticle(
		String articleId, boolean autoArticleId, long plid,
		String title, String description,
		String content, String type,
        long structureGroupId,
        String structureId, String templateId,
		int displayDateMonth, int displayDateDay, int displayDateYear,
		int displayDateHour, int displayDateMinute, int expirationDateMonth,
		int expirationDateDay, int expirationDateYear, int expirationDateHour,
		int expirationDateMinute, boolean neverExpire, int reviewDateMonth,
		int reviewDateDay, int reviewDateYear, int reviewDateHour,
		int reviewDateMinute, boolean neverReview, boolean indexable,
		java.util.Map images, String articleURL,
		javax.portlet.PortletPreferences prefs, String[] tagsEntries,
		boolean addCommunityPermissions, boolean addGuestPermissions)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();

		return journalArticleService.addArticle(articleId, autoArticleId, plid,
			title, description, content, type, structureGroupId,structureId, templateId,
			displayDateMonth, displayDateDay, displayDateYear, displayDateHour,
			displayDateMinute, expirationDateMonth, expirationDateDay,
			expirationDateYear, expirationDateHour, expirationDateMinute,
			neverExpire, reviewDateMonth, reviewDateDay, reviewDateYear,
			reviewDateHour, reviewDateMinute, neverReview, indexable, images,
			articleURL, prefs, tagsEntries, addCommunityPermissions,
			addGuestPermissions);
	}

	public static com.liferay.portlet.journal.model.JournalArticle addArticle(
		String articleId, boolean autoArticleId, long plid,
		String title, String description,
		String content, String type,
        long structureGroupId,
        String structureId, String templateId,
		int displayDateMonth, int displayDateDay, int displayDateYear,
		int displayDateHour, int displayDateMinute, int expirationDateMonth,
		int expirationDateDay, int expirationDateYear, int expirationDateHour,
		int expirationDateMinute, boolean neverExpire, int reviewDateMonth,
		int reviewDateDay, int reviewDateYear, int reviewDateHour,
		int reviewDateMinute, boolean neverReview, boolean indexable,
		java.util.Map images, String articleURL,
		javax.portlet.PortletPreferences prefs, String[] tagsEntries,
		String[] communityPermissions,
		String[] guestPermissions)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();

		return journalArticleService.addArticle(articleId, autoArticleId, plid,
			title, description, content, type, structureGroupId,structureId, templateId,
			displayDateMonth, displayDateDay, displayDateYear, displayDateHour,
			displayDateMinute, expirationDateMonth, expirationDateDay,
			expirationDateYear, expirationDateHour, expirationDateMinute,
			neverExpire, reviewDateMonth, reviewDateDay, reviewDateYear,
			reviewDateHour, reviewDateMinute, neverReview, indexable, images,
			articleURL, prefs, tagsEntries, communityPermissions,
			guestPermissions);
	}

	public static com.liferay.portlet.journal.model.JournalArticle approveArticle(
		long groupId, String articleId, double version, long plid,
		String articleURL, javax.portlet.PortletPreferences prefs)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();

		return journalArticleService.approveArticle(groupId, articleId,
			version, plid, articleURL, prefs);
	}

	public static com.liferay.portlet.journal.model.JournalArticle getArticle(
		long groupId, String articleId, double version)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();

		return journalArticleService.getArticle(groupId, articleId, version);
	}

	public static String getArticleContent(long structureGroupId,long groupId,
		String articleId, String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();

		return journalArticleService.getArticleContent(structureGroupId,groupId, articleId,
			languageId, themeDisplay);
	}

	public static String getArticleContent(long structureGroupId,long groupId,
		String articleId, double version,
		String languageId,
		com.liferay.portal.theme.ThemeDisplay themeDisplay)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();

		return journalArticleService.getArticleContent(structureGroupId,groupId, articleId,
			version, languageId, themeDisplay);
	}

	public static void deleteArticle(long groupId, String articleId,
		double version, String articleURL,
		javax.portlet.PortletPreferences prefs)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();
		journalArticleService.deleteArticle(groupId, articleId, version,
			articleURL, prefs);
	}

	public static void expireArticle(long groupId, String articleId,
		double version, String articleURL,
		javax.portlet.PortletPreferences prefs)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();
		journalArticleService.expireArticle(groupId, articleId, version,
			articleURL, prefs);
	}

	public static void removeArticleLocale(long companyId,
		String languageId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();
		journalArticleService.removeArticleLocale(companyId, languageId);
	}

	public static com.liferay.portlet.journal.model.JournalArticle removeArticleLocale(
		long groupId, String articleId, double version,
		String languageId)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();

		return journalArticleService.removeArticleLocale(groupId, articleId,
			version, languageId);
	}

	public static com.liferay.portlet.journal.model.JournalArticle updateArticle(
		long groupId, String articleId, double version,
		boolean incrementVersion, String title,
		String description, String content,
		String type,
        long structureGroupId,
        String structureId,
		String templateId, int displayDateMonth, int displayDateDay,
		int displayDateYear, int displayDateHour, int displayDateMinute,
		int expirationDateMonth, int expirationDateDay, int expirationDateYear,
		int expirationDateHour, int expirationDateMinute, boolean neverExpire,
		int reviewDateMonth, int reviewDateDay, int reviewDateYear,
		int reviewDateHour, int reviewDateMinute, boolean neverReview,
		boolean indexable, java.util.Map images, String articleURL,
		javax.portlet.PortletPreferences prefs, String[] tagsEntries)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();

		return journalArticleService.updateArticle(groupId, articleId, version,
			incrementVersion, title, description, content, type, structureGroupId,structureId,
			templateId, displayDateMonth, displayDateDay, displayDateYear,
			displayDateHour, displayDateMinute, expirationDateMonth,
			expirationDateDay, expirationDateYear, expirationDateHour,
			expirationDateMinute, neverExpire, reviewDateMonth, reviewDateDay,
			reviewDateYear, reviewDateHour, reviewDateMinute, neverReview,
			indexable, images, articleURL, prefs, tagsEntries);
	}

	public static com.liferay.portlet.journal.model.JournalArticle updateContent(
		long groupId, String articleId, double version,
		String content)
		throws com.liferay.portal.PortalException,
			com.liferay.portal.SystemException, java.rmi.RemoteException {
		JournalArticleService journalArticleService = JournalArticleServiceFactory.getService();

		return journalArticleService.updateContent(groupId, articleId, version,
			content);
	}
}