package com.liferay.portlet.journal.service;

import com.liferay.portal.PortalException;
import com.liferay.portal.SystemException;
import com.liferay.portlet.journal.model.JournalLink;

import java.util.List;

/**
 * <a href="JournalArticleLocalServiceUtil.java.html"><b><i>View Source</i></b></a>
 * <p/>
 * <p/>
 * ServiceBuilder generated this class. Modifications in this class will be overwritten
 * the next time is generated.
 * </p>
 * <p/>
 * <p/>
 * This class provides static methods for the <code>com.liferay.portlet.journal.service.JournalArticleLocalService</code>
 * bean. The static methods of this class calls the same methods of the bean instance.
 * It's convenient to be able to just write one line to call a method on a bean
 * instead of writing a lookup call and a method call.
 * </p>
 * <p/>
 * <p/>
 * <code>com.liferay.portlet.journal.service.JournalArticleLocalServiceFactory</code>
 * is responsible for the lookup of the bean.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see com.liferay.portlet.journal.service.JournalArticleLocalService
 * @see com.liferay.portlet.journal.service.JournalArticleLocalServiceFactory
 */
public class JournalLinkLocalServiceUtil {


    public static JournalLink addLink(long userId,LinkType linkType,long groupId, String targetId, long targetGroupId,
                                      String[] addCommunityPermissions, String[] addGuestPermissions)
            throws com.liferay.portal.PortalException,
            com.liferay.portal.SystemException {
        JournalLinkLocalService journalLinkLocalService = JournalLinkLocalServiceFactory.getService();
        return journalLinkLocalService.addLink(userId,linkType,groupId, targetId, targetGroupId,addCommunityPermissions,addGuestPermissions);
    }


    public static void deleteLink(long linkId)
            throws com.liferay.portal.PortalException,
            com.liferay.portal.SystemException {
        JournalLinkLocalService journalLinkLocalService = JournalLinkLocalServiceFactory.getService();
        JournalLink jaed = journalLinkLocalService.getLink(linkId);
        journalLinkLocalService.deleteLink(jaed);
    }


    public static JournalLink updateLink(long linkId,
                                         String targetId, long targetGroupId)
            throws com.liferay.portal.PortalException,
            com.liferay.portal.SystemException {

        JournalLinkLocalService journalLinkLocalService = JournalLinkLocalServiceFactory.getService();

        JournalLink jaed = getLink(linkId);
        jaed.setTargetGroupId(targetGroupId);
        jaed.setTargetId(targetId);

        return journalLinkLocalService.updateLink(jaed);
    }


    public static JournalLink getLink(long fileShortcutId) throws SystemException, PortalException {
        JournalLinkLocalService journalLinkLocalService = JournalLinkLocalServiceFactory.getService();
        return journalLinkLocalService.getLink(fileShortcutId);
    }

    public static List getAllLinks(LinkType linkType, long groupId) throws SystemException {
        JournalLinkLocalService journalLinkLocalService = JournalLinkLocalServiceFactory.getService();
        return journalLinkLocalService.getAllLinks(linkType,groupId);
    }

    public static List getAllLinksByTarget(LinkType linkType, long targetGroupId, String targetId) throws SystemException {
        JournalLinkLocalService journalLinkLocalService = JournalLinkLocalServiceFactory.getService();
        return journalLinkLocalService.getAllLinksByTarget(linkType,targetGroupId,targetId);
    }


    public static JournalLink getLink(String deleteStructureId, long groupId) throws SystemException {
        JournalLinkLocalService journalLinkLocalService = JournalLinkLocalServiceFactory.getService();
        return journalLinkLocalService.getLink(deleteStructureId,groupId);
    }
}
