package com.liferay.portlet.journal.service;

import com.liferay.portal.PortalException;
import com.liferay.portal.SystemException;
import com.liferay.portlet.journal.model.JournalLink;

import java.rmi.RemoteException;


public class JournalLinkServiceUtil {

    public static JournalLink getLink(long linkId) throws SystemException, PortalException {
        JournalLinkService journalLinkService = JournalLinkServiceFactory.getService();
        return journalLinkService.getLink(linkId);

    }

    public static void removeLink(long linkId) throws SystemException, PortalException, RemoteException {
        JournalLinkService journalLinkService = JournalLinkServiceFactory.getService();
        journalLinkService.deleteLink(linkId);
    }

    public static JournalLink addLink(long userId, LinkType linkType,long plid, long groupId, long targetGroupId, String targetId, String[] addCommunityPermissions,
		String[] addGuestPermissions) throws SystemException, PortalException {
        JournalLinkService journalLinkService = JournalLinkServiceFactory.getService();
        return journalLinkService.addLink(userId,linkType,plid, groupId,targetId,targetGroupId,addCommunityPermissions,addGuestPermissions);
    }

    public static JournalLink updateLink(long linkId, long targetGroupId, String targetId) throws SystemException, PortalException {
        JournalLinkService journalLinkService = JournalLinkServiceFactory.getService();
        return journalLinkService.updateLink(linkId,targetId,targetGroupId);
    }

    public static JournalLink getLinkByTargetIdAndGroupId(String deleteStructureId, long groupId) throws SystemException, PortalException {
        JournalLinkService journalLinkService = JournalLinkServiceFactory.getService();
        return journalLinkService.getLinkByTargetIdAndGroupId(deleteStructureId,groupId);
    }
}
