<%@ page import="com.liferay.portal.model.Group" %>
<%@ page import="com.liferay.portal.service.GroupLocalServiceUtil" %>
<%@ page import="com.liferay.portal.util.JournalWebKeys" %>
<%@ page import="com.liferay.portal.util.PortalUtil" %>
<%@ page import="com.liferay.portlet.journal.NoSuchStructureException" %>
<%@ page import="com.liferay.portlet.journal.ShortcutPermissionException" %>
<%@ page import="com.liferay.portlet.journal.model.JournalLink" %>
<%
/**
 * Copyright (c) 2000-2007 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/journal/init.jsp" %>

<%
    String strutsAction = ParamUtil.getString(request, "struts_action");

    String tabs2 = ParamUtil.getString(request, "tabs2", "version-history");

    String redirect = ParamUtil.getString(request, "redirect");

    JournalLink structureLink = (JournalLink) request.getAttribute(JournalWebKeys.JOURNAL_STRUCTURE_SHORTCUT);

    JournalStructure targetStructure = null;

    String targetId = BeanParamUtil.getString(structureLink, request, "targetId");
    long groupId = PortalUtil.getPortletGroupId(request);
    long targetGroupId = BeanParamUtil.getLong(structureLink, request, "targetGroupId");
    String targetName = ParamUtil.getString(request, "targetName");
    long shortcutId = BeanParamUtil.getLong(structureLink, request, "id");

    Group targetGroup = null;

    if ((targetGroupId > 0) && Validator.isNotNull(targetId)) {
        try {
            targetStructure = JournalStructureLocalServiceUtil.getStructure(targetGroupId, targetId);
            targetGroup = GroupLocalServiceUtil.getGroup(targetGroupId);
        }
        catch (Exception e) {
        }
    }


%>

<script type="text/javascript">
	function <portlet:namespace />saveStructureShortcut() {
		document.<portlet:namespace />fm.<portlet:namespace /><%= Constants.CMD %>.value = "<%= structureLink == null ? Constants.ADD : Constants.UPDATE %>";
		submitForm(document.<portlet:namespace />fm);
	}

	function <portlet:namespace />selectStructure(targetId,targetGroupId, targetName) {
		document.<portlet:namespace />fm.<portlet:namespace />targetGroupId.value = targetGroupId;
		document.<portlet:namespace />fm.<portlet:namespace />targetId.value = targetId;

		var targetNameEl = document.getElementById("<portlet:namespace />targetStructureName");

		if (targetName != "") {
			targetName += "&nbsp;";
		}

		targetNameEl.innerHTML = targetName;
	}

	function <portlet:namespace />selectGroup(groupId, groupName) {
		if (document.<portlet:namespace />fm.<portlet:namespace />targetGroupId.value != groupId) {
			<portlet:namespace />selectStructure("", "", "");
		}

		document.<portlet:namespace />fm.<portlet:namespace />targetGroupId.value = groupId;
		document.<portlet:namespace />fm.<portlet:namespace />targetId.value = "";

		var nameEl = document.getElementById("<portlet:namespace />targetGroupName");

		nameEl.innerHTML = groupName + "&nbsp;";

		document.getElementById("<portlet:namespace />selectTargetStructureButton").disabled = false;
	}
</script>


<form action="<portlet:actionURL windowState="<%= WindowState.MAXIMIZED.toString() %>"><portlet:param name="struts_action" value="/journal/edit_structure_shortcut" /></portlet:actionURL>" method="post" name="<portlet:namespace />fm" onSubmit="<portlet:namespace />saveStructureShortcut(); return false;">
<input name="<portlet:namespace /><%= Constants.CMD %>" type="hidden" value="" />
<input name="<portlet:namespace />tabs2" type="hidden" value="<%= tabs2 %>" />
<input name="<portlet:namespace />redirect" type="hidden" value="<%= redirect %>" />
<input name="<portlet:namespace />targetId" type="hidden" value="<%= targetId %>" />
<input name="<portlet:namespace />targetGroupId" type="hidden" value="<%= targetGroupId %>" />
<input name="<portlet:namespace />groupId" type="hidden" value="<%= groupId %>" />
<input name="<portlet:namespace />shortcutId" type="hidden" value="<%= shortcutId %>" />

<liferay-ui:tabs
	names="shortcut"
	backURL="<%= redirect %>"
/>

<liferay-ui:error exception="<%= ShortcutPermissionException.class %>" message="You do not have permissions to create a shortcut to the selected structure" />
<liferay-ui:error exception="<%= NoSuchStructureException.class %>" message="The structure could not be found" />


<c:if test="<%= (structureLink != null) && (targetStructure != null) %>">
	<table class="liferay-table">
	<tr>
		<td>
			<liferay-ui:message key="name" />
		</td>
		<td>
			<%= targetStructure.getName() %>
		</td>
	</tr>
	</table>

	<br />
</c:if>

<span>You can create a shortcut to any structure that you have read access for. The permissions set on the shortcut enable others to access the original structure through the shortcut.</span>
<br /><br />

<table class="liferay-table">
<tr>
	<td>
		<liferay-ui:message key="community" />
	</td>
	<td>

		<%
		String targetGroupName = BeanUtil.getString(targetGroup, "name");
		%>

		<span id="<portlet:namespace />targetGroupName">
		<%= targetGroupName %>
		</span>

			<input type="button" value="<liferay-ui:message key="select" />"
        onClick="var toGroupWindow = window.open('<portlet:renderURL windowState="<%= LiferayWindowState.POP_UP.toString() %>">
            <portlet:param name="struts_action" value="/journal/select_group" />
        </portlet:renderURL>',
        'targetGroup',
        'directories=no,height=640,location=no,menubar=no,resizable=yes,scrollbars=no,status=no,toolbar=no,width=680'); void(''); toGroupWindow.focus();" />

	</td>
</tr>
<tr>
	<td>
		<liferay-ui:message key="structure" />
	</td>
	<td>

		<%
		String targetStructureName = BeanUtil.getString(targetStructure, "name");
		%>

		<span id="<portlet:namespace />targetStructureName">
		<%= targetStructureName %>
		</span>

			<input <%= (targetGroup == null) ? "disabled" : "" %>
                    id="<portlet:namespace />selectTargetStructureButton"
                    type="button"
                    value="<liferay-ui:message key="select" />"
        onClick="var targetStructureWindow = window.open('<portlet:renderURL windowState="<%= LiferayWindowState.POP_UP.toString() %>">
        <portlet:param name="struts_action" value="/journal/select_structure_and_links" />
        </portlet:renderURL>&<portlet:namespace />sGroupId=' + document.<portlet:namespace />fm.<portlet:namespace />targetGroupId.value +
        '&<portlet:namespace />groupId=' + document.<portlet:namespace />fm.<portlet:namespace />targetGroupId.value,
        'targetStructure',
        'directories=no,height=640,location=no,menubar=no,resizable=yes,scrollbars=no,status=no,toolbar=no,width=680'); void(''); targetStructureWindow.focus();">
	</td>
</tr>

<c:if test="<%= structureLink == null %>">
	<tr>
		<td colspan="2">
			<br />
		</td>
	</tr>
	<tr>
		<td>
			<liferay-ui:message key="permissions" />
		</td>
		<td>
			<liferay-ui:input-permissions
				modelName="<%= JournalLink.class.getName() %>"
			/>
		</td>
	</tr>
</c:if>

</table>

<c:if test='<%= strutsAction.equals("/journal/edit_structure_shortcut")%>'>
	<br />

	<input type="submit" value="<liferay-ui:message key="save" />" />

	<input type="button" value="<liferay-ui:message key="cancel" />" onClick="self.location = '<%= redirect %>';" />

	<br />
</c:if>


</form>