
<%@ page import="com.liferay.portal.kernel.dao.search.ResultRow" %>
<%@ page import="com.liferay.portlet.journal.model.JournalLink" %>
<%@ page import="com.liferay.portlet.journal.model.JournalStructureWrapper" %>
<%@ page import="com.liferay.portlet.journal.model.impl.JournalStructureWrapperImpl" %>
<%@ page import="com.liferay.portlet.journal.service.LinkType" %>
<%@ page import="com.liferay.portlet.journal.service.JournalLinkLocalServiceUtil" %>

<%
/**
 * Copyright (c) 2000-2007 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/journal/init.jsp" %>

<form method="post" name="<portlet:namespace />fm">

<liferay-ui:tabs names="structures" />

<%
    PortletURL portletURL = renderResponse.createRenderURL();

    portletURL.setWindowState(LiferayWindowState.POP_UP);

    portletURL.setParameter("struts_action", "/journal/select_structure_and_links");
    StructureSearch searchContainer = new StructureSearch(renderRequest, portletURL);
    searchContainer.setDelta(10);
%>

<liferay-ui:search-form
        page="/html/portlet/journal/structure_search.jsp"
	searchContainer="<%= searchContainer %>"
/>

<%
			StructureSearchTerms searchTerms = (StructureSearchTerms)searchContainer.getSearchTerms();

            int total =0;

            if (searchTerms.isAdvancedSearch()) {
                total = JournalStructureLocalServiceUtil.searchCount(company.getCompanyId(), searchTerms.getGroupId(), searchTerms.getStructureId(), searchTerms.getName(), searchTerms.getDescription(), searchTerms.isAndOperator());
            }
            else {
                total = JournalStructureLocalServiceUtil.searchCount(company.getCompanyId(), searchTerms.getGroupId(), searchTerms.getKeywords());
            }

            searchContainer.setTotal(total);

            List results = null;

            if (searchTerms.isAdvancedSearch()) {
                results = JournalStructureLocalServiceUtil.search(company.getCompanyId(), searchTerms.getGroupId(), searchTerms.getStructureId(), searchTerms.getName(), searchTerms.getDescription(), searchTerms.isAndOperator(), searchContainer.getStart(), searchContainer.getEnd(), null);
            }
            else {
                results = JournalStructureLocalServiceUtil.search(company.getCompanyId(), searchTerms.getGroupId(), searchTerms.getKeywords(), searchContainer.getStart(), searchContainer.getEnd(), null);
            }

            searchContainer.setResults(results);
            %>

<div class="separator"></div>

<%
    long currentGroupId = PortalUtil.getPortletGroupId(request);

    List resultsWrapped = new ArrayList();

    List allLinks = JournalLinkLocalServiceUtil.getAllLinks(LinkType.STRUCTURE, searchTerms.getGroupId());

    for (Object o : allLinks) {
        JournalLink jl = (JournalLink) o;
        if (jl.getTargetGroupId() != currentGroupId) {
            try {
                JournalStructure js = JournalStructureLocalServiceUtil.getStructure(jl.getTargetGroupId(), jl.getTargetId());
                if (js != null) {
                    resultsWrapped.add(new JournalStructureWrapperImpl(js, true, jl.getId()));
                }
            } catch (com.liferay.portal.PortalException ex1) {
            }
            catch (com.liferay.portal.SystemException ex2) {

            }
        }
    }


    total += resultsWrapped.size();
    searchContainer.setTotal(total);

    for (Object o : results) {
        resultsWrapped.add(new JournalStructureWrapperImpl((JournalStructure) o, false, 0));
    }


    searchContainer.setResults(resultsWrapped);

    List resultRows = searchContainer.getResultRows();

    for (int i = 0; i < resultsWrapped.size(); i++) {
        JournalStructureWrapper structureWrapped = (JournalStructureWrapper) resultsWrapped.get(i);

        ResultRow row = new ResultRow(structureWrapped, structureWrapped.getStructureId(), i);

        StringMaker sm = new StringMaker();

        sm.append("javascript: opener.");
        sm.append(renderResponse.getNamespace());
        sm.append("selectStructure('");
        sm.append(structureWrapped.getStructureId());
        sm.append("', '");
        sm.append(structureWrapped.getGroupId());
        sm.append("', '");
        sm.append(structureWrapped.getName());
        sm.append("'); window.close();");

        String rowHREF = sm.toString();

        // Structure id
        row.addText(structureWrapped.getStructureId(), rowHREF);

        // Name and description
        sm = new StringMaker();

        sm.append(structureWrapped.getName());

        if (Validator.isNotNull(structureWrapped.getDescription())) {
            sm.append("<br />");
            sm.append("<span style=\"font-size: xx-small;\">");
            sm.append(structureWrapped.getDescription());
            sm.append("</span>");
        }

        row.addText(sm.toString(), rowHREF);

        // Add result row
        resultRows.add(row);
    }
%>

<liferay-ui:search-iterator searchContainer="<%= searchContainer %>" />

<liferay-ui:search-paginator searchContainer="<%= searchContainer %>" />

</form>

<script type="text/javascript">
	Liferay.Util.focusFormField(document.<portlet:namespace />fm.<portlet:namespace />searchStructureId);
</script>
