<%@ page import="com.liferay.portal.kernel.dao.search.ResultRow" %>
<%@ page import="com.liferay.portal.kernel.portlet.LiferayWindowState" %>
<%@ page import="com.liferay.portal.kernel.util.StringMaker" %>
<%@ page import="com.liferay.portal.util.PortalUtil" %>
<%@ page import="com.liferay.portlet.journal.model.JournalLink" %>
<%@ page import="com.liferay.portlet.journal.model.JournalTemplate" %>
<%@ page import="com.liferay.portlet.journal.model.JournalTemplateWrapper" %>
<%@ page import="com.liferay.portlet.journal.model.impl.JournalTemplateWrapperImpl" %>
<%@ page import="com.liferay.portlet.journal.service.JournalLinkLocalServiceUtil" %>
<%@ page import="com.liferay.portlet.journal.service.LinkType" %>
<%@ page import="javax.portlet.PortletURL" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="com.liferay.portal.kernel.util.StringPool" %>
<%@ page import="java.util.List" %>
<%
/**
 * Copyright (c) 2000-2007 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/journal/init.jsp" %>

<form method="post" name="<portlet:namespace />fm">

<liferay-ui:tabs names="templates" />

<%
    PortletURL portletURL = renderResponse.createRenderURL();

    portletURL.setWindowState(LiferayWindowState.POP_UP);

    portletURL.setParameter("struts_action", "/journal/select_template_and_links");

    TemplateSearch searchContainer = new TemplateSearch(renderRequest, portletURL);

    searchContainer.setDelta(10);
%>

<liferay-ui:search-form
	page="/html/portlet/journal/template_search.jsp"
	searchContainer="<%= searchContainer %>"
/>

		<%
			TemplateSearchTerms searchTerms = (TemplateSearchTerms)searchContainer.getSearchTerms();

                searchTerms.setStructureIdComparator(StringPool.EQUAL);

            int total = 0;

            if (searchTerms.isAdvancedSearch()) {
                total = JournalTemplateLocalServiceUtil.searchCount(company.getCompanyId(), searchTerms.getGroupId(), searchTerms.getTemplateId(), searchTerms.getStructureId(), searchTerms.getStructureIdComparator(), searchTerms.getName(), searchTerms.getDescription(), searchTerms.isAndOperator());
            }
            else {
                total = JournalTemplateLocalServiceUtil.searchCount(company.getCompanyId(), searchTerms.getGroupId(), searchTerms.getKeywords(), searchTerms.getStructureId(), searchTerms.getStructureIdComparator());
            }

            searchContainer.setTotal(total);

            List results = null;

            if (searchTerms.isAdvancedSearch()) {
                results = JournalTemplateLocalServiceUtil.search(company.getCompanyId(), searchTerms.getGroupId(), searchTerms.getTemplateId(), searchTerms.getStructureId(), StringPool.EQUAL, searchTerms.getName(), searchTerms.getDescription(), searchTerms.isAndOperator(), searchContainer.getStart(), searchContainer.getEnd(), null);
            }
            else {
                results = JournalTemplateLocalServiceUtil.search(company.getCompanyId(), searchTerms.getGroupId(), searchTerms.getKeywords(), searchTerms.getStructureId(), StringPool.EQUAL, searchContainer.getStart(), searchContainer.getEnd(), null);
            }

            searchContainer.setResults(results);
            %>

<div class="separator"></div>
<%
    List resultsWrapped = new ArrayList();
    long currentGroupId = PortalUtil.getPortletGroupId(request);
    List allLinks = JournalLinkLocalServiceUtil.getAllLinks(LinkType.TEMPLATE, searchTerms.getGroupId());

    for (Object o : allLinks) {
        JournalLink jl = (JournalLink) o;
        if (jl.getTargetGroupId() != currentGroupId) {
            try {
                JournalTemplate js = JournalTemplateLocalServiceUtil.getTemplate(jl.getTargetGroupId(), jl.getTargetId());
                if (js != null) {
                    resultsWrapped.add(new JournalTemplateWrapperImpl(js, true, jl.getId()));
                }
            } catch (com.liferay.portal.PortalException ex1) {
            }
            catch (com.liferay.portal.SystemException ex2) {
            }
        }
    }
    total += resultsWrapped.size();
    searchContainer.setTotal(total);

    for (Object o : results) {
        resultsWrapped.add(new JournalTemplateWrapperImpl((JournalTemplate) o, false, 0));
    }

    searchContainer.setResults(resultsWrapped);
    List resultRows = searchContainer.getResultRows();

    for (int i = 0; i < resultsWrapped.size(); i++) {
        JournalTemplateWrapper templateWrapped = (JournalTemplateWrapper) resultsWrapped.get(i);
        ResultRow row = new ResultRow(templateWrapped, templateWrapped.getId(), i);
        StringMaker sm = new StringMaker();

        sm.append("javascript: opener.");
        sm.append(renderResponse.getNamespace());
        sm.append("selectTemplate('");
        sm.append(templateWrapped.getStructureId());
        sm.append("', '");
        sm.append(templateWrapped.getGroupId());
        sm.append("', '");
        sm.append(templateWrapped.getTemplateId());
        sm.append("', '");
        sm.append(templateWrapped.getName());
        sm.append("'); window.close();");

        String rowHREF = sm.toString();
        row.setParameter("rowHREF", rowHREF);
        // Template id
        row.addText(templateWrapped.getTemplateId(), rowHREF);
        // Name, description, and image
        row.addJSP("/html/portlet/journal/template_description.jsp");
        // Add result row
        resultRows.add(row);
    }
%>

<liferay-ui:search-iterator searchContainer="<%= searchContainer %>" />

<liferay-ui:search-paginator searchContainer="<%= searchContainer %>" />

</form>


<script type="text/javascript">
	Liferay.Util.focusFormField(document.<portlet:namespace />fm.<portlet:namespace />searchTemplateId);
</script>



