<%@ page import="com.liferay.portal.kernel.dao.search.ResultRow" %>
<%@ page import="com.liferay.portal.kernel.security.permission.ActionKeys" %>
<%@ page import="com.liferay.portal.kernel.util.Constants" %>
<%@ page import="com.liferay.portal.kernel.util.Validator" %>
<%@ page import="com.liferay.portal.service.permission.PortletPermission" %>
<%@ page import="com.liferay.portal.service.permission.PortletPermissionUtil" %>
<%@ page import="com.liferay.portal.util.PortletKeys" %>
<%@ page import="com.liferay.portal.util.WebKeys" %>
<%@ page import="com.liferay.portlet.journal.model.JournalLink" %>
<%@ page import="com.liferay.portlet.journal.model.JournalTemplate" %>
<%@ page import="com.liferay.portlet.journal.model.JournalTemplateWrapper" %>
<%@ page import="javax.portlet.WindowState" %>
<%
/**
 * Copyright (c) 2000-2007 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/journal/init.jsp" %>

<%
ResultRow row = (ResultRow)request.getAttribute(WebKeys.SEARCH_CONTAINER_RESULT_ROW);

JournalTemplateWrapper templateWrapper = (JournalTemplateWrapper)row.getObject();
%>
<c:if test="<%=templateWrapper.isLinked()%>">

<c:if test="<%= JournalTemplatePermission.contains(permissionChecker, templateWrapper, ActionKeys.UPDATE) %>">
	<portlet:renderURL windowState="<%= WindowState.MAXIMIZED.toString() %>" var="editeTemplateURL">
		<portlet:param name="struts_action" value="/journal/edit_template_shortcut" />
		<portlet:param name="redirect" value="<%= currentURL %>" />
		<portlet:param name="groupId" value="<%= String.valueOf(templateWrapper.getGroupId()) %>" />
		<portlet:param name="shortcutId" value="<%= String.valueOf(templateWrapper.getLinkId()) %>" />
	</portlet:renderURL>

    <liferay-ui:icon image="edit" url="<%= editeTemplateURL %>" />
</c:if>

<c:if test="<%= JournalTemplatePermission.contains(permissionChecker, templateWrapper, ActionKeys.PERMISSIONS) %>">
	<liferay-security:permissionsURL
		modelResource="<%= JournalLink.class.getName() %>"
		modelResourceDescription="<%= templateWrapper.getName() %>"
		resourcePrimKey="<%= String.valueOf(templateWrapper.getId()) %>"
		var="permissionsTemplateURL"
	/>

	<liferay-ui:icon image="permissions" url="<%= permissionsTemplateURL %>" />
</c:if>


	<portlet:actionURL windowState="<%= WindowState.MAXIMIZED.toString() %>" var="deleteTemplateURL">
		<portlet:param name="struts_action" value="/journal/edit_template_shortcut" />
		<portlet:param name="<%= Constants.CMD %>" value="<%= Constants.DELETE %>" />
		<portlet:param name="redirect" value="<%= currentURL %>" />
		<portlet:param name="groupId" value="<%= String.valueOf(templateWrapper.getGroupId()) %>" />
		<portlet:param name="shortcutId" value="<%= String.valueOf(templateWrapper.getLinkId()) %>" />
	</portlet:actionURL>

	<liferay-ui:icon-delete url="<%= deleteTemplateURL %>" />
</c:if>



<c:if test="<%=!templateWrapper.isLinked()%>">

<c:if test="<%= JournalTemplatePermission.contains(permissionChecker, templateWrapper, ActionKeys.UPDATE) %>">
	<portlet:renderURL windowState="<%= WindowState.MAXIMIZED.toString() %>" var="editeTemplateURL">
		<portlet:param name="struts_action" value="/journal/edit_template" />
		<portlet:param name="redirect" value="<%= currentURL %>" />
		<portlet:param name="groupId" value="<%= String.valueOf(templateWrapper.getGroupId()) %>" />
		<portlet:param name="templateId" value="<%= templateWrapper.getTemplateId() %>" />
	</portlet:renderURL>

	<liferay-ui:icon image="edit" url="<%= editeTemplateURL %>" />
</c:if>

<c:if test="<%= JournalTemplatePermission.contains(permissionChecker, templateWrapper, ActionKeys.PERMISSIONS) %>">
	<liferay-security:permissionsURL
		modelResource="<%= JournalTemplate.class.getName() %>"
		modelResourceDescription="<%= templateWrapper.getName() %>"
		resourcePrimKey="<%= String.valueOf(templateWrapper.getId()) %>"
		var="permissionsTemplateURL"
	/>

	<liferay-ui:icon image="permissions" url="<%= permissionsTemplateURL %>" />
</c:if>

<c:if test="<%= Validator.isNotNull(templateWrapper.getStructureId()) %>">
	<c:if test="<%= PortletPermissionUtil.contains(permissionChecker, plid.longValue(), PortletKeys.JOURNAL, ActionKeys.ADD_ARTICLE) %>">
		<portlet:renderURL windowState="<%= WindowState.MAXIMIZED.toString() %>" var="addArticleURL">
			<portlet:param name="struts_action" value="/journal/edit_article" />
			<portlet:param name="redirect" value="<%= currentURL %>" />
			<portlet:param name="groupId" value="<%= String.valueOf(templateWrapper.getGroupId()) %>" />
			<portlet:param name="structureId" value="<%= templateWrapper.getStructureId() %>" />
			<portlet:param name="templateId" value="<%= templateWrapper.getTemplateId() %>" />
		</portlet:renderURL>

		<liferay-ui:icon image="add_article" message="add-article" url="<%= addArticleURL %>" />
	</c:if>

	<portlet:renderURL windowState="<%= WindowState.MAXIMIZED.toString() %>" var="viewArticlesURL">
		<portlet:param name="struts_action" value="/journal/view" />
		<portlet:param name="tabs1" value="articles" />
		<portlet:param name="groupId" value="<%= String.valueOf(templateWrapper.getGroupId()) %>" />
		<portlet:param name="templateId" value="<%= templateWrapper.getTemplateId() %>" />
	</portlet:renderURL>

	<liferay-ui:icon image="view_articles" message="view-articles" url="<%= viewArticlesURL %>" />

	<portlet:renderURL windowState="<%= WindowState.MAXIMIZED.toString() %>" var="editStructureURL">
		<portlet:param name="struts_action" value="/journal/edit_structure" />
		<portlet:param name="redirect" value="<%= currentURL %>" />
		<portlet:param name="groupId" value="<%= String.valueOf(templateWrapper.getGroupId()) %>" />
		<portlet:param name="structureId" value="<%= templateWrapper.getStructureId() %>" />
	</portlet:renderURL>

	<liferay-ui:icon image="view_structures" message="edit-structure" url="<%= editStructureURL %>" />
</c:if>

<c:if test="<%= JournalTemplatePermission.contains(permissionChecker, templateWrapper, ActionKeys.DELETE) %>">
	<portlet:actionURL windowState="<%= WindowState.MAXIMIZED.toString() %>" var="deleteTemplateURL">
		<portlet:param name="struts_action" value="/journal/edit_template" />
		<portlet:param name="<%= Constants.CMD %>" value="<%= Constants.DELETE %>" />
		<portlet:param name="redirect" value="<%= currentURL %>" />
		<portlet:param name="groupId" value="<%= String.valueOf(templateWrapper.getGroupId()) %>" />
		<portlet:param name="deleteTemplateIds" value="<%= templateWrapper.getTemplateId() %>" />
	</portlet:actionURL>

	<liferay-ui:icon-delete url="<%= deleteTemplateURL %>" />
</c:if>

</c:if>
